/*:
 * @plugindesc コマンドウィンドウのちらつき防止プラグイン
 * @author えむうん
 *
 * @help このプラグインは、メッセージ表示中のコマンドウィンドウのちらつきを防止します。
 */

(function() {
    const _Window_BattleActor_update = Window_BattleActor.prototype.update;
    Window_BattleActor.prototype.update = function() {
        if ($gameMessage.isBusy()) {
            return;
        }
        _Window_BattleActor_update.call(this);
    };

    const _Window_BattleEnemy_update = Window_BattleEnemy.prototype.update;
    Window_BattleEnemy.prototype.update = function() {
        if ($gameMessage.isBusy()) {
            return;
        }
        _Window_BattleEnemy_update.call(this);
    };

    const _Window_ActorCommand_update = Window_ActorCommand.prototype.update;
    Window_ActorCommand.prototype.update = function() {
        if ($gameMessage.isBusy()) {
            this.hide();
            return;
        }
        _Window_ActorCommand_update.call(this);
    };

    const _BattleManager_changeActor = BattleManager.changeActor;
    BattleManager.changeActor = function(newActorIndex, lastActorActionState) {
        if ($gameMessage.isBusy()) {
            return;
        }
        _BattleManager_changeActor.call(this, newActorIndex, lastActorActionState);
    };
})();